gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.PasteNode

Contents

- Exported types
- Methods
  - getDepth
  - new

Description

A render node for a paste.

Since: 4.22

Synopsis

- newtype PasteNode = PasteNode (ManagedPtr PasteNode)
- class (BoxedPtr o, TypedObject o, IsDescendantOf PasteNode o) => IsPasteNode o
- toPasteNode :: (MonadIO m, IsPasteNode o) => o -> m PasteNode
- pasteNodeGetDepth :: (HasCallStack, MonadIO m, IsPasteNode a) => a -> m CSize
- pasteNodeNew :: (HasCallStack, MonadIO m) => Rect -> CSize -> m PasteNode

# Exported types

newtype PasteNode Source #

Memory-managed wrapper type.

Constructors

PasteNode (ManagedPtr PasteNode) |

#### Instances

Instances details

Eq PasteNode Source # |
Instance details Defined in GI.Gsk.Objects.PasteNode Methods (==) :: PasteNode -> PasteNode -> Bool Source # (/=) :: PasteNode -> PasteNode -> Bool Source #
BoxedPtr PasteNode Source # |
Instance details Defined in GI.Gsk.Objects.PasteNode Methods boxedPtrCopy :: PasteNode -> IO PasteNode Source # boxedPtrFree :: PasteNode -> IO () Source #
ManagedPtrNewtype PasteNode Source # |
Instance details Defined in GI.Gsk.Objects.PasteNode Methods toManagedPtr :: PasteNode -> ManagedPtr PasteNode Source #
TypedObject PasteNode Source # |
Instance details Defined in GI.Gsk.Objects.PasteNode Methods glibType :: IO GType Source #
HasParentTypes PasteNode Source # |
Instance details Defined in GI.Gsk.Objects.PasteNode
type ParentTypes PasteNode Source # |
Instance details Defined in GI.Gsk.Objects.PasteNode type ParentTypes PasteNode = '[RenderNode]

class (BoxedPtr o, TypedObject o, IsDescendantOf PasteNode o) => IsPasteNode o Source #

Type class for types which can be safely cast to `PasteNode`, for instance with `toPasteNode`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf PasteNode o) => IsPasteNode o Source # |
Instance details Defined in GI.Gsk.Objects.PasteNode

toPasteNode :: (MonadIO m, IsPasteNode o) => o -> m PasteNode Source #

Cast to `PasteNode`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

draw, ref, serialize, unref, writeToFile.

#### Getters

getBounds, getChildren, getDepth, getNodeType, getOpaqueRect.

#### Setters

None.

## getDepth

pasteNodeGetDepth Source #

Arguments

:: (HasCallStack, MonadIO m, IsPasteNode a) |
=> a | `node`: a `GskRenderNode`
-> m CSize | Returns: the index of the copy to paste.

Retrieves the index of the copy that should be pasted.

Since: 4.22

## new

pasteNodeNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Rect | `bounds`: the rectangle to render the paste into
-> CSize | `depth`: the index of which copy to paste. This will usually be 0.
-> m PasteNode | Returns: A new `GskRenderNode`

Creates a `GskRenderNode` that will paste copied contents.

Since: 4.22